#ifndef PROJECT_SURFACE_POINTS_ON_POLY_H
#define PROJECT_SURFACE_POINTS_ON_POLY_H

#include <vtkUnstructuredGridAlgorithm.h>
#include <vtkIdList.h>


class ProjectSurfacePointsOnPoly : public vtkUnstructuredGridAlgorithm {
public:
	static ProjectSurfacePointsOnPoly *New();
	vtkTypeMacro(ProjectSurfacePointsOnPoly, vtkUnstructuredGridAlgorithm);
	ProjectSurfacePointsOnPoly();
	int FillInputPortInformation(int, vtkInformation *info) override;
	vtkTypeBool RequestData(vtkInformation *request,
							vtkInformationVector **inputVector,
							vtkInformationVector *outputVector) override;

protected:
	~ProjectSurfacePointsOnPoly() override = default;
};


#endif
